Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCMklbtype

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCMklbtype

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCMklbtype
    extends ClearCase

Task to perform mklbtype command to ClearCase.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
typename | Name of the label type to create | Yes
vob | Name of the VOB | No
replace | Replace an existing label definition of the same type | No
global | Either global or ordinary can be specified, not both. Creates a label type that is global to the VOB or to VOBs that use this VOB | No
ordinary | Either global or ordinary can be specified, not both. Creates a label type that can be used only in the current VOB. Default | No
pbranch | Allows the label type to be used once per branch in a given element's version tree | No
shared | Sets the way mastership is checked by ClearCase. See ClearCase documentation for details | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the file
  `static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the file
  `static java.lang.String` | `FLAG_GLOBAL` | -global flag -- creates a label type that is global to the VOB or to VOBs that use this VOB
  `static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified
  `static java.lang.String` | `FLAG_ORDINARY` | -ordinary flag -- creates a label type that can be used only in the current VOB
  `static java.lang.String` | `FLAG_PBRANCH` | -pbranch flag -- allows label type to be used once per branch
  `static java.lang.String` | `FLAG_REPLACE` | -replace flag -- replace existing label definition of the same type
  `static java.lang.String` | `FLAG_SHARED` | -shared flag -- sets the way mastership is checked by ClearCase

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CCMklbtype()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Executes the task.
  `java.lang.String` | `getComment()` | Get comment string
  `java.lang.String` | `getCommentFile()` | Get comment file
  `boolean` | `getGlobal()` | Get global flag status
  `boolean` | `getOrdinary()` | Get ordinary flag status
  `boolean` | `getPbranch()` | Get pbranch flag status
  `boolean` | `getReplace()` | Get replace flag status
  `boolean` | `getShared()` | Get shared flag status
  `java.lang.String` | `getTypeName()` | Get type-name string
  `java.lang.String` | `getVOB()` | Get VOB name
  `void` | `setComment​(java.lang.String comment)` | Set comment string
  `void` | `setCommentFile​(java.lang.String cfile)` | Set comment file
  `void` | `setGlobal​(boolean glob)` | Set the global flag
  `void` | `setOrdinary​(boolean ordinary)` | Set the ordinary flag
  `void` | `setPbranch​(boolean pbranch)` | Set the pbranch flag
  `void` | `setReplace​(boolean repl)` | Set the replace flag
  `void` | `setShared​(boolean shared)` | Set the shared flag
  `void` | `setTypeName​(java.lang.String tn)` | Set type-name string
  `void` | `setVOB​(java.lang.String vob)` | Set the VOB name

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_REPLACE

    public static final java.lang.String FLAG_REPLACE
    -replace flag -- replace existing label definition of the same type
    See Also:
      Constant Field Values

  - ### FLAG_GLOBAL

    public static final java.lang.String FLAG_GLOBAL
    -global flag -- creates a label type that is global to the VOB or to VOBs that use this VOB
    See Also:
      Constant Field Values

  - ### FLAG_ORDINARY

    public static final java.lang.String FLAG_ORDINARY
    -ordinary flag -- creates a label type that can be used only in the current VOB
    See Also:
      Constant Field Values

  - ### FLAG_PBRANCH

    public static final java.lang.String FLAG_PBRANCH
    -pbranch flag -- allows label type to be used once per branch
    See Also:
      Constant Field Values

  - ### FLAG_SHARED

    public static final java.lang.String FLAG_SHARED
    -shared flag -- sets the way mastership is checked by ClearCase
    See Also:
      Constant Field Values

  - ### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT
    -c flag -- comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE
    -cfile flag -- file containing a comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT
    -nc flag -- no comment is specified
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCMklbtype

    public CCMklbtype()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setTypeName

    public void setTypeName​(java.lang.String tn)
    Set type-name string
    Parameters:
      `tn` - the type-name string

  - ### getTypeName

    public java.lang.String getTypeName()
    Get type-name string
    Returns:
      String containing the type-name

  - ### setVOB

    public void setVOB​(java.lang.String vob)
    Set the VOB name
    Parameters:
      `vob` - the VOB name

  - ### getVOB

    public java.lang.String getVOB()
    Get VOB name
    Returns:
      String containing VOB name

  - ### setReplace

    public void setReplace​(boolean repl)
    Set the replace flag
    Parameters:
      `repl` - the status to set the flag to

  - ### getReplace

    public boolean getReplace()
    Get replace flag status
    Returns:
      boolean containing status of replace flag

  - ### setGlobal

    public void setGlobal​(boolean glob)
    Set the global flag
    Parameters:
      `glob` - the status to set the flag to

  - ### getGlobal

    public boolean getGlobal()
    Get global flag status
    Returns:
      boolean containing status of global flag

  - ### setOrdinary

    public void setOrdinary​(boolean ordinary)
    Set the ordinary flag
    Parameters:
      `ordinary` - the status to set the flag to

  - ### getOrdinary

    public boolean getOrdinary()
    Get ordinary flag status
    Returns:
      boolean containing status of ordinary flag

  - ### setPbranch

    public void setPbranch​(boolean pbranch)
    Set the pbranch flag
    Parameters:
      `pbranch` - the status to set the flag to

  - ### getPbranch

    public boolean getPbranch()
    Get pbranch flag status
    Returns:
      boolean containing status of pbranch flag

  - ### setShared

    public void setShared​(boolean shared)
    Set the shared flag
    Parameters:
      `shared` - the status to set the flag to

  - ### getShared

    public boolean getShared()
    Get shared flag status
    Returns:
      boolean containing status of shared flag

  - ### setComment

    public void setComment​(java.lang.String comment)
    Set comment string
    Parameters:
      `comment` - the comment string

  - ### getComment

    public java.lang.String getComment()
    Get comment string
    Returns:
      String containing the comment

  - ### setCommentFile

    public void setCommentFile​(java.lang.String cfile)
    Set comment file
    Parameters:
      `cfile` - the path to the comment file

  - ### getCommentFile

    public java.lang.String getCommentFile()
    Get comment file
    Returns:
      String containing the path to the comment file